# std::undeclare_no_pointers

From cppreference.com
< cpp‎ | memory

Defined in header `<memory>` |  |
void undeclare_no_pointers( char *p, std::size_t n ); |  | (since C++11)

Unregisters a range earlier registered with std::declare_no_pointers ().

### Parameters

p | - | pointer to the beginning of the range previosly registered with std::declare_no_pointers
n | - | the number of bytes in the range, same value as previously used with std::declare_no_pointers

### Return value

(none)

### Exceptions

None

### Example

| This section is incomplete Reason: no example

### See also

declare_no_pointers (C++11) | declares that a memory area does not contain traceable pointers (function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/memory/gc/undeclare_no_pointers&oldid=80261"